Get payment details
curl --request GET \
--url https://dev.api-gateway.archefusion.com/v1/payments/{paymentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.api-gateway.archefusion.com/v1/payments/{paymentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.api-gateway.archefusion.com/v1/payments/{paymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"statusCode": 200,
"message": "ok",
"data": {
"paymentId": "59049e67-b607-49df-87dd-6dc52b944df0",
"merchantOrderId": "order-34543",
"status": "SUCCESS",
"executionStatus": "succeeded",
"currency": "NGN",
"amount": 5000,
"recommendedGateway": {
"name": "paystack",
"session": {
"raw": {
"reference": "paystack_59049e67-b607-49df-87dd-6dc52b944df0",
"access_code": "cr1x389nicvfily",
"authorization_url": "https://checkout.paystack.com/cr1x389nicvfily"
},
"gateway": "paystack",
"reference": "paystack_59049e67-b607-49df-87dd-6dc52b944df0",
"accessCode": "cr1x389nicvfily",
"redirectUrl": "https://checkout.paystack.com/cr1x389nicvfily",
"metadata": {
"mode": "test",
"paymentId": "59049e67-b607-49df-87dd-6dc52b944df0",
"merchantId": "0c89458a-fb09-48ba-91a9-ab697d76be61",
"callbackUrl": "https://www.archefusion.com",
"redirectUrl": "https://www.archefusion.com",
"merchantOrderId": "order-34543",
"referencePrefix": "",
"fallbackGateways": [
{
"name": "paystack",
"reason": "plan-fallback"
}
]
}
}
},
"fallbackGateways": [
{
"name": "paystack",
"reason": "plan-fallback"
}
],
"routing": {
"version": 2,
"decidedAt": "2026-05-26T07:43:12.584Z",
"rationale": "Matched smart routing rule \"New rule\" (priority=1).",
"rationaleCode": "smart_routing_rule",
"contextKey": "NGN|CARD|5000-10000",
"overrides": [
{}
],
"reasons": [
{
"code": "smart_routing_rule",
"title": "Merchant routing rule matched",
"message": "A smart routing rule matched this transaction context, so the provider order follows the merchant-configured precedence (subject to policy and health overrides).",
"category": "rule",
"severity": "info"
}
],
"candidates": [
{
"index": 0,
"eligible": true,
"provider": "paystack",
"subproviderId": "PAYSTACK_NGN_CARD_5000_10000",
"ineligibleReason": null
}
],
"recommended": {
"index": 0,
"provider": "paystack",
"subproviderId": "PAYSTACK_NGN_CARD_5000_10000"
}
},
"createdAt": "2026-05-26T07:43:12.585Z",
"updatedAt": "2026-05-26T07:52:09.855Z"
}
}{
"success": false,
"statusCode": 401,
"message": "Invalid API key",
"data": null
}{
"success": false,
"statusCode": 404,
"message": "Payment not found",
"data": null
}Payments
Get payment details
This endpoint retrieves the details of a specific payment by ID.
GET
/
v1
/
payments
/
{paymentId}
Get payment details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
This represents the payment ID. You can retrieve it from the paymentId field in the initiate payment response, or from the redirect URL after the customer completes payment.
Was this page helpful?
⌘I

